<?php
/**
 * Greatnews Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Greatnews Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function greatnews_pro_custom_colors_css() {
  	$options= greatnews_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	## Background Color
	--------------------------------------------------------------*/
	.backtotop,
	#respond input[type="submit"],
	.widget_search form.search-form .search-submit:hover,
	.widget_search form.search-form .search-submit:focus,
	input[type="submit"],
	.jetpack_subscription_widget input[type="submit"],
	.jetpack_subscription_widget input[type="submit"]:hover,
	.jetpack_subscription_widget input[type="submit"]:focus,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.reply a,
	#featured-slider .post-categories a,
	#breaking-news .news-title,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus,
	.slick-prev:hover, 
	.slick-next:hover, 
	.slick-prev:focus, 
	.slick-next:focus,
	.section-title, 
	.widget-title, 
	.widgettitle,
	.second-design #trending-news .widget_recent_news ul.tabs li.active a,
	.second-design .widget.widget_posts_filter ul.tabs li.active a,
	.second-design #media-news .section-header-wrapper ul.tabs li.active a,
	.second-design #trending-news .widget_recent_news ul.tabs li a:hover,
	.second-design .widget.widget_posts_filter ul.tabs li a:hover, 
	.second-design #media-news .section-header-wrapper ul.tabs li a:hover,
	.second-design #trending-news .widget_recent_news ul.tabs li a:focus, 
	.second-design #media-news .section-header-wrapper ul.tabs li a:focus,
	.second-design .post-categories a,
	.second-design .section-title, 
	.second-design .widget-title, 
	.second-design .widgettitle,
	.third-design #trending-news .widget_recent_news ul.tabs li.active a,
	.third-design .widget.widget_posts_filter ul.tabs li.active a, 
	.third-design #media-news .section-header-wrapper ul.tabs li.active a,
	.third-design #trending-news .widget_recent_news ul.tabs li a:hover,
	.third-design .widget.widget_posts_filter ul.tabs li a:hover, 
	.third-design #media-news .section-header-wrapper ul.tabs li a:hover,
	.third-design #trending-news .widget_recent_news ul.tabs li a:focus, 
	.third-design #media-news .section-header-wrapper ul.tabs li a:focus,
	.third-design .post-categories a,
	.fourth-design .section-title, 
	.fourth-design .widget-title, 
	.fourth-design .widgettitle,
	.fourth-design #trending-news .widget_recent_news ul.tabs li.active a,
	.fourth-design .widget.widget_posts_filter ul.tabs li.active a, 
	.fourth-design #media-news .section-header-wrapper ul.tabs li.active a,
	.fourth-design #trending-news .widget_recent_news ul.tabs li a:hover,
	.fourth-design .widget.widget_posts_filter ul.tabs li a:hover, 
	.fourth-design #media-news .section-header-wrapper ul.tabs li a:hover,
	.fourth-design #trending-news .widget_recent_news ul.tabs li a:focus, 
	.fourth-design #media-news .section-header-wrapper ul.tabs li a:focus,
	.fourth-design .post-categories a,
	.fifth-design #trending-news .widget_recent_news ul.tabs li.active a, 
	.fifth-design #media-news .section-header-wrapper ul.tabs li.active a,
	.fifth-design #trending-news .widget_recent_news ul.tabs li a:hover, 
	.fifth-design #media-news .section-header-wrapper ul.tabs li a:hover,
	.fifth-design #trending-news .widget_recent_news ul.tabs li a:focus, 
	.fifth-design #media-news .section-header-wrapper ul.tabs li a:focus {
	    background-color: '. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## Text Color
	--------------------------------------------------------------*/
	a,
	.main-navigation ul.nav-menu li.current-menu-item > a,
	.main-navigation ul.nav-menu li:hover > a,
	.main-navigation ul.nav-menu li:hover > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation ul.nav-menu > li.current-menu-item > a > svg,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.post-navigation a:hover, 
	.posts-navigation a:hover,
	.post-navigation a:focus, 
	.posts-navigation a:focus,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_post h3 a:hover,
	.widget_featured_post h3 a:focus,
	.widget_featured_post a:hover time,
	.widget_featured_post a:focus time,
	.widget_popular_post a time,
	.widget_popular_post time,
	.widget_latest_post a time,
	.widget_latest_post time,
	.widget_featured_post a time,
	.widget_featured_post time,
	#secondary a:hover,
	#secondary a:focus,
	.byline a:hover,
	.byline a:focus,
	.posted-on a:hover,
	.posted-on a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a,
	.comment-metadata a time,
	.comment-metadata a:hover,
	.comment-metadata a:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.section-subtitle,
	.btn,
	.breaking-news-posts a:hover,
	.breaking-news-posts a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	.post-categories a,
	#hero-section .grid-item:first-child .entry-container .entry-title a:hover,
	#hero-section .grid-item:first-child .entry-container .posted-on a:hover,
	#thumbnail-post .posted-on a,
	#trending-news .widget_recent_news ul.tabs li.active a, 
	#media-news .section-header-wrapper ul.tabs li.active a,
	#secondary .posted-on a, 
	#secondary-sidebar .post-categories a,
	.reading-wrapper article .entry-title a:hover,
	.widget.widget_posts_slider .posted-on a:hover, 
	.reading-wrapper .posted-on a:hover,
	#colophon ul li a:hover, 
	#colophon ul li a:focus,
	#colophon ul li .entry-meta a,
	.second-design .posted-on a:hover,
	.second-design .posted-on a:focus,
	.second-design #secondary .posted-on a:hover, 
	.second-design #secondary .posted-on a:focus, 
	.second-design #secondary-sidebar .post-categories a:hover,
	.second-design #secondary-sidebar .post-categories a:focus,
	.second-design #thumbnail-post .posted-on a:hover,
	.second-design #thumbnail-post .posted-on a:focus,
	.third-design .posted-on a:hover,
	.third-design .posted-on a:focus,
	.third-design #secondary .posted-on a:hover, 
	.third-design #secondary .posted-on a:focus, 
	.third-design #secondary-sidebar .post-categories a:hover,
	.third-design #secondary-sidebar .post-categories a:focus,
	.third-design #thumbnail-post .posted-on a:hover,
	.third-design #thumbnail-post .posted-on a:focus,
	.fourth-design .posted-on a:hover,
	.fourth-design .posted-on a:focus,
	.fourth-design #secondary .posted-on a:hover, 
	.fourth-design #secondary .posted-on a:focus, 
	.fourth-design #secondary-sidebar .post-categories a:hover,
	.fourth-design #secondary-sidebar .post-categories a:focus,
	.fourth-design #thumbnail-post .posted-on a:hover,
	.fourth-design #thumbnail-post .posted-on a:focus,
	.fifth-design .posted-on a:hover,
	.fifth-design .posted-on a:focus,
	.fifth-design #secondary .posted-on a:hover, 
	.fifth-design #secondary .posted-on a:focus,
	.fifth-design #thumbnail-post .posted-on a:hover,
	.fifth-design #thumbnail-post .posted-on a:focus {
	    color: '. esc_attr( $color_value ) .';
	}

	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:hover svg, 
	.navigation.posts-navigation a:focus svg, 
	.navigation.post-navigation a:focus svg {
	    fill:'. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## Border Color
	--------------------------------------------------------------*/
	#trending-news .widget_recent_news ul.tabs li.active a, 
	#media-news .section-header-wrapper ul.tabs li.active a,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus,
	.second-design #trending-news .widget_recent_news ul.tabs li.active a,
	.second-design .widget.widget_posts_filter ul.tabs li.active a, 
	.second-design #media-news .section-header-wrapper ul.tabs li.active a,
	.second-design #trending-news .widget_recent_news ul.tabs li a:hover,
	.second-design .widget.widget_posts_filter ul.tabs li a:hover, 
	.second-design #media-news .section-header-wrapper ul.tabs li a:hover,
	.second-design #trending-news .widget_recent_news ul.tabs li a:focus, 
	.second-design #media-news .section-header-wrapper ul.tabs li a:focus,
	.third-design #trending-news .widget_recent_news ul.tabs li.active a,
	.third-design .widget.widget_posts_filter ul.tabs li.active a, 
	.third-design #media-news .section-header-wrapper ul.tabs li.active a,
	.third-design #trending-news .widget_recent_news ul.tabs li a:hover,
	.third-design .widget.widget_posts_filter ul.tabs li a:hover, 
	.third-design #media-news .section-header-wrapper ul.tabs li a:hover,
	.third-design #trending-news .widget_recent_news ul.tabs li a:focus, 
	.third-design #media-news .section-header-wrapper ul.tabs li a:focus,
	.fourth-design #trending-news .widget_recent_news ul.tabs li.active a,
	.fourth-design .widget.widget_posts_filter ul.tabs li.active a, 
	.fourth-design #media-news .section-header-wrapper ul.tabs li.active a,
	.fourth-design #trending-news .widget_recent_news ul.tabs li a:hover,
	.fourth-design .widget.widget_posts_filter ul.tabs li a:hover, 
	.fourth-design #media-news .section-header-wrapper ul.tabs li a:hover,
	.fourth-design #trending-news .widget_recent_news ul.tabs li a:focus, 
	.fourth-design #media-news .section-header-wrapper ul.tabs li a:focus,
	.fifth-design #trending-news .widget_recent_news ul.tabs li.active a, 
	.fifth-design #media-news .section-header-wrapper ul.tabs li.active a,
	.fifth-design #trending-news .widget_recent_news ul.tabs li a:hover, 
	.fifth-design #media-news .section-header-wrapper ul.tabs li a:hover,
	.fifth-design #trending-news .widget_recent_news ul.tabs li a:focus, 
	.fifth-design #media-news .section-header-wrapper ul.tabs li a:focus {
	    border-color: '. esc_attr( $color_value ) .';
	}

	.second-design .section-header, 
	.second-design .widget-header,
	.second-design #media-news .section-header-wrapper,
	.second-design .section-title:after, 
	.second-design .widget-title:after, 
	.second-design .widgettitle:after,
	.third-design .section-header, 
	.third-design .widget-header,
	.third-design #media-news .section-header-wrapper,
	.fourth-design .section-title:after, 
	.fourth-design .widget-title:after, 
	.fourth-design .widgettitle:after,
	.fourth-design .section-header, 
	.fourth-design .widget-header,
	.fourth-design #media-news .section-header-wrapper,
	.fifth-design .section-header, 
	.fifth-design .widget-header,
	.fifth-design #media-news .section-header-wrapper,
	.fifth-design .post-categories a {
	    border-bottom-color: '. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## Responsive Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 1025px) {
	    #top-navigation .main-navigation ul.nav-menu > li.current-menu-item > a, 
	    #top-navigation .main-navigation ul.nav-menu > li > a:hover, 
	    #top-navigation .main-navigation ul.nav-menu > li:hover > a,
	    #masthead .main-navigation ul.nav-menu li.current-menu-item > a,
	    #masthead .main-navigation ul.nav-menu > li > a:hover,
	    .main-navigation ul.nav-menu li:hover > a {
	        color: '. esc_attr( $color_value ) .';
	    }
	    #top-navigation .main-navigation ul.nav-menu > li.current-menu-item > a svg, 
	    #top-navigation .main-navigation ul.nav-menu > li > a:hover svg, 
	    #top-navigation .main-navigation ul.nav-menu > li:hover > a svg,
	    .main-navigation ul.nav-menu > li:hover > a > svg, 
	    .main-navigation ul.nav-menu > li.current-menu-item > a > svg {
	        fill: '. esc_attr( $color_value ) .';
	    }
	}

	/*--------------------------------------------------------------
	## Preloader
	--------------------------------------------------------------*/
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	    25% {height:30px;transform:translateY(15px);background: '. esc_attr( $color_value ) .';}
	    50% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	    100% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	}
	';

	/**
	 * Filters Greatnews Pro custom colors CSS.
	 *
	 * @since Greatnews Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'greatnews_pro_custom_colors_css', $css );
}
