<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Greatnews Pro
 * @since Greatnews Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'greatnews_pro_menu', array(
	'title'             => esc_html__('Header Menu','greatnews-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'greatnews-pro' ),
	'panel'             => 'nav_menus',
	) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'greatnews_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
	) );

$wp_customize->add_control( new Greatnews_Pro_Switch_Control( $wp_customize, 'greatnews_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'greatnews-pro' ),
	'section'           => 'greatnews_pro_menu',
	'on_off_label' 		=> greatnews_pro_switch_options(),
	) ) );
