<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Greatnews Pro
 * @since Greatnews Pro 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'greatnews_pro_single_post_section', array(
	'title'             => esc_html__( 'Single Post','greatnews-pro' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'greatnews-pro' ),
	'panel'             => 'greatnews_pro_theme_options_panel',
	) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'greatnews_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Greatnews_Pro_Switch_Control( $wp_customize, 'greatnews_pro_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'greatnews-pro' ),
	'section'           => 'greatnews_pro_single_post_section',
	'on_off_label' 		=> greatnews_pro_hide_options(),
	) ) );

// Archive author meta setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[single_post_hide_author]', array(
	'default'           => $options['single_post_hide_author'],
	'sanitize_callback' => 'greatnews_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Greatnews_Pro_Switch_Control( $wp_customize, 'greatnews_pro_theme_options[single_post_hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'greatnews-pro' ),
	'section'           => 'greatnews_pro_single_post_section',
	'on_off_label' 		=> greatnews_pro_hide_options(),
	) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[single_post_hide_category]', array(
	'default'           => $options['single_post_hide_category'],
	'sanitize_callback' => 'greatnews_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Greatnews_Pro_Switch_Control( $wp_customize, 'greatnews_pro_theme_options[single_post_hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'greatnews-pro' ),
	'section'           => 'greatnews_pro_single_post_section',
	'on_off_label' 		=> greatnews_pro_hide_options(),
	) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[single_post_hide_tags]', array(
	'default'           => $options['single_post_hide_tags'],
	'sanitize_callback' => 'greatnews_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Greatnews_Pro_Switch_Control( $wp_customize, 'greatnews_pro_theme_options[single_post_hide_tags]', array(
	'label'             => esc_html__( 'Hide Tag', 'greatnews-pro' ),
	'section'           => 'greatnews_pro_single_post_section',
	'on_off_label' 		=> greatnews_pro_hide_options(),
	) ) );
