<?php
/**
* Secondary Post section
*
* This is the template for the content of main_content section
*
* @package Theme Palace
* @subpackage Greatnews Pro
* @since Greatnews Pro 1.0.0
*/
if ( ! function_exists( 'greatnews_pro_add_secondary_post_wrapper_section' ) ) :
/**
* Add main_content section
*
*@since Greatnews Pro 1.0.0
*/
function greatnews_pro_add_secondary_post_wrapper_section() {

  greatnews_pro_render_secondary_content_section();
}
endif;

if ( ! function_exists( 'greatnews_pro_render_secondary_content_section' ) ) :
/**
* Start main_content section
*
* @return string main_content content
* @since Greatnews Pro 1.0.0
*
*/
function greatnews_pro_render_secondary_content_section() {
  ?>
  <div id="main-post-wrapper" class="wrapper margin-top">

    <?php if(is_active_sidebar('left-secondary-post-wrapper')): ?>
      <aside id="left-sidebar" class="widget-area" role="complementary">
        <?php dynamic_sidebar( 'left-secondary-post-wrapper' ); ?>

      </aside><!-- #secondary sidebar -->

    <?php endif; ?>

    <div id="primary" class="content-area">
      <main id="main" class="site-main" role="main">

        <!-- reading section -->
        <?php require get_template_directory() . '/inc/sections/reading.php'; ?>

        <!-- single column news -->
        <?php require get_template_directory() . '/inc/sections/single-column-news.php'; ?>

      </main><!-- #main -->
    </div><!-- #primary -->

    <?php if(is_active_sidebar('right-secondary-post-wrapper')): ?>
      <aside id="secondary" class="widget-area right-sidebar" role="complementary">
        <?php dynamic_sidebar( 'right-secondary-post-wrapper' ); ?>

      </aside><!-- #secondary sidebar -->
    <?php endif; ?>

  </div><!-- #main-post-wrapper -->

  <?php }
  endif;